execute if score #TestStart function_run_count matches 0.. run scoreboard players add osp:op_menu/open function_run_count 1

tellraw @s {"text":"Origins Superpowers","bold":true,"underlined":true,"color":"gold"}
## Power Editor:
## This is a editor to edit the settings for individual powers. As well as grab there ids to set players powers any power you wish. Along with some smaller features.
tellraw @s {"text":""}
tellraw @s ["",{"text":"Power Editor","bold":true,"color":"gold"},{"text":"\nThe power editor allows you to edit what powers can be gotten, and how many players can have them. It also gives information relating to each power. It also is connected with the 'set power', and 'get power' admin tools.\n"},{"text":"[Open Editor]","color":"aqua","clickEvent":{"action":"run_command","value":"/function osp:op_menu/power_editor"}}]
tellraw @s {"text":""}

## Rarity Settings:
## Common: (Common osp.RarityCount)Count/Limit(CommonLimit osp.settings)
## [Set Limit] [List]
## Uncommon: Count/Limit
## [Set Limit] [List]
## Rare: Count/Limit
## [Set Limit] [List]
## Epic: Count/Limit
## [Set Limit] [List]
## Eldritch: Count/Limit
## [Set Limit] [List]
# [List] ->
#          Online Players with [Rarity] Powers:
#          - Name(Hover for cords, dim) [Teleport]
tellraw @s {"text":""}
tellraw @s ["",{"text":"Rarity Settings","bold":true,"color":"gold"},{"text":"\nSettings for all the rarities. It will show how many players have a specific rarity, and the limit of that rarity. As well as buttons to set the rarity, and view all players with that rarity. When a power, or rarities limit is set too 0, no player can get the rarity, or power.\n"}]

tellraw @s ["",{"text":"Common: ","color":"green"},{"score":{"name":"Common","objective":"osp.RarityCount"},"hoverEvent":{"action":"show_text","contents":"How many players with this rarity / How many players can have this rarity"}},{"text":"/","hoverEvent":{"action":"show_text","contents":"How many players with this rarity / How many players can have this rarity"}},{"score":{"name":"CommonLimit","objective":"osp.settings"},"hoverEvent":{"action":"show_text","contents":"How many players with this rarity / How many players can have this rarity"}}]
tellraw @s ["",{"text":" \u0020 ","color":"aqua"},{"text":"[Set Limit]","color":"aqua","clickEvent":{"action":"suggest_command","value":"/scoreboard players set CommonLimit osp.settings 2147483647"}},{"text":" ","color":"aqua"},{"text":"[List Players]","color":"aqua","clickEvent":{"action":"run_command","value":"/function osp:op_menu/click/rarity/common"}}]
tellraw @s ["",{"text":"Uncommon: ","color":"green"},{"score":{"name":"Uncommon","objective":"osp.RarityCount"},"hoverEvent":{"action":"show_text","contents":"How many players with this rarity / How many players can have this rarity"}},{"text":"/","hoverEvent":{"action":"show_text","contents":"How many players with this rarity / How many players can have this rarity"}},{"score":{"name":"UncommonLimit","objective":"osp.settings"},"hoverEvent":{"action":"show_text","contents":"How many players with this rarity / How many players can have this rarity"}}]
tellraw @s ["",{"text":" \u0020 ","color":"aqua"},{"text":"[Set Limit]","color":"aqua","clickEvent":{"action":"suggest_command","value":"/scoreboard players set UncommonLimit osp.settings 2147483647"}},{"text":" ","color":"aqua"},{"text":"[List Players]","color":"aqua","clickEvent":{"action":"run_command","value":"/function osp:op_menu/click/rarity/uncommon"}}]
tellraw @s ["",{"text":"Rare: ","color":"green"},{"score":{"name":"Rare","objective":"osp.RarityCount"},"hoverEvent":{"action":"show_text","contents":"How many players with this rarity / How many players can have this rarity"}},{"text":"/","hoverEvent":{"action":"show_text","contents":"How many players with this rarity / How many players can have this rarity"}},{"score":{"name":"RareLimit","objective":"osp.settings"},"hoverEvent":{"action":"show_text","contents":"How many players with this rarity / How many players can have this rarity"}}]
tellraw @s ["",{"text":" \u0020 ","color":"aqua"},{"text":"[Set Limit]","color":"aqua","clickEvent":{"action":"suggest_command","value":"/scoreboard players set RareLimit osp.settings 2147483647"}},{"text":" ","color":"aqua"},{"text":"[List Players]","color":"aqua","clickEvent":{"action":"run_command","value":"/function osp:op_menu/click/rarity/rare"}}]
tellraw @s ["",{"text":"Epic: ","color":"green"},{"score":{"name":"Epic","objective":"osp.RarityCount"},"hoverEvent":{"action":"show_text","contents":"How many players with this rarity / How many players can have this rarity"}},{"text":"/","hoverEvent":{"action":"show_text","contents":"How many players with this rarity / How many players can have this rarity"}},{"score":{"name":"EpicLimit","objective":"osp.settings"},"hoverEvent":{"action":"show_text","contents":"How many players with this rarity / How many players can have this rarity"}}]
tellraw @s ["",{"text":" \u0020 ","color":"aqua"},{"text":"[Set Limit]","color":"aqua","clickEvent":{"action":"suggest_command","value":"/scoreboard players set EpicLimit osp.settings 2147483647"}},{"text":" ","color":"aqua"},{"text":"[List Players]","color":"aqua","clickEvent":{"action":"run_command","value":"/function osp:op_menu/click/rarity/epic"}}]
tellraw @s ["",{"text":"Eldritch: ","color":"green"},{"score":{"name":"Eldritch","objective":"osp.RarityCount"},"hoverEvent":{"action":"show_text","contents":"How many players with this rarity / How many players can have this rarity"}},{"text":"/","hoverEvent":{"action":"show_text","contents":"How many players with this rarity / How many players can have this rarity"}},{"score":{"name":"EldritchLimit","objective":"osp.settings"},"hoverEvent":{"action":"show_text","contents":"How many players with this rarity / How many players can have this rarity"}}]
tellraw @s ["",{"text":" \u0020 ","color":"aqua"},{"text":"[Set Limit]","color":"aqua","clickEvent":{"action":"suggest_command","value":"/scoreboard players set EldritchLimit osp.settings 4"}},{"text":" ","color":"aqua"},{"text":"[List Players]","color":"aqua","clickEvent":{"action":"run_command","value":"/function osp:op_menu/click/rarity/eldritch"}}]
tellraw @s {"text":""}

## Items:
## [Admin Tools]: Add Disable(perm), and Enable(Non perm)
## [Ender Charged Dragon's Breath]
## [Power Crystal]
## [Elder Power Crystal]
## [Anti-Power Crystal]
tellraw @s {"text":""}
tellraw @s ["",{"text":"Custom Items","bold":true,"color":"gold"},{"text":"\nCustom items added by OSP, simply click a button to get the item. Admin tools are specal items you can use on players, and yourself to run functions.\n"}]

tellraw @s {"text":"[Admin Tools]","color":"aqua","clickEvent":{"action":"run_command","value":"/function osp:items/admin_tools/base"}}
tellraw @s {"text":"[Ender Charged Dragon's Breath]","color":"aqua","clickEvent":{"action":"run_command","value":"/function osp:items/dragon_breath"}}
tellraw @s {"text":"[Power Crystal]","color":"aqua","clickEvent":{"action":"run_command","value":"/function osp:items/power_crystal"}}
tellraw @s {"text":"[Elder Power Crystal]","color":"aqua","clickEvent":{"action":"run_command","value":"/function osp:items/elder_power_crystal"}}
tellraw @s {"text":"[Anti-Power Crystal]","color":"aqua","clickEvent":{"action":"run_command","value":"/function osp:items/antipower_crystal"}}

tellraw @s {"text":""}
tellraw @s ["",{"text":"Other Settings","bold":true,"color":"gold"},{"text":"\nOther settings for OSP.\n"}]

## Other Settings

## Player List
## A list of all the players, there powers, rarity, and power based effects.
tellraw @s {"text":"[List Players]","color":"aqua","hoverEvent":{"action":"show_text","contents":"Click to view a list of all players, and there powers."},"clickEvent":{"action":"run_command","value":"/function osp:op_menu/click/view"}}

## Power when Join:(PowerWhenJoin osp.settings)
## [True] [False]
execute if score PowerWhenJoin osp.settings matches 1 run tellraw @s ["",{"text":"Power When Join\n   ","hoverEvent":{"action":"show_text","contents":"Should players get a random superpower when they join the game, or should they spawn with no superpower, and get one via a power crystal."}},{"text":"[True]","underlined":true,"color":"aqua","clickEvent":{"action":"run_command","value":"/scoreboard players set PowerWhenJoin osp.settings 1"},"hoverEvent":{"action":"show_text","contents":"Should players get a random superpower when they join the game, or should they spawn with no superpower, and get one via a power crystal."}},{"text":" ","color":"aqua","hoverEvent":{"action":"show_text","contents":"Should players get a random superpower when they join the game, or should they spawn with no superpower, and get one via a power crystal."}},{"text":"[False]","color":"aqua","clickEvent":{"action":"run_command","value":"/scoreboard players set PowerWhenJoin osp.settings 0"},"hoverEvent":{"action":"show_text","contents":"Should players get a random superpower when they join the game, or should they spawn with no superpower, and get one via a power crystal."}}]
execute if score PowerWhenJoin osp.settings matches 0 run tellraw @s ["",{"text":"Power When Join\n   ","hoverEvent":{"action":"show_text","contents":"Should players get a random superpower when they join the game, or should they spawn with no superpower, and get one via a power crystal."}},{"text":"[True]","color":"aqua","clickEvent":{"action":"run_command","value":"/scoreboard players set PowerWhenJoin osp.settings 1"},"hoverEvent":{"action":"show_text","contents":"Should players get a random superpower when they join the game, or should they spawn with no superpower, and get one via a power crystal."}},{"text":" ","color":"aqua","hoverEvent":{"action":"show_text","contents":"Should players get a random superpower when they join the game, or should they spawn with no superpower, and get one via a power crystal."}},{"text":"[False]","underlined":true,"color":"aqua","clickEvent":{"action":"run_command","value":"/scoreboard players set PowerWhenJoin osp.settings 0"},"hoverEvent":{"action":"show_text","contents":"Should players get a random superpower when they join the game, or should they spawn with no superpower, and get one via a power crystal."}}]

## Elder Cooldown:(ElderCooldown osp.settings)
## How long a player needs to wait after losing a elditch, before they can get another.
## [Set in Ticks]
tellraw @s ["",{"text":"Elder Cooldown: ","hoverEvent":{"action":"show_text","contents":"When a player loses a eldritch power, how long should they wait until they can get another via power crystals in seconds."}},{"score":{"name":"ElderCooldown","objective":"osp.settings"},"hoverEvent":{"action":"show_text","contents":"When a player loses a eldritch power, how long should they wait until they can get another via power crystals in seconds."}},{"text":"\n","hoverEvent":{"action":"show_text","contents":"When a player loses a eldritch power, how long should they wait until they can get another via power crystals in seconds."}},{"text":"   [Set Elder Cooldown]","color":"aqua","clickEvent":{"action":"suggest_command","value":"/scoreboard players set ElderCooldown osp.settings 259200"},"hoverEvent":{"action":"show_text","contents":"When a player loses a eldritch power, how long should they wait until they can get another via power crystals in seconds."}}]

tellraw @s {"text":""}
tellraw @s {"text":"[Reload Page]","color":"aqua","clickEvent":{"action":"run_command","value":"/function addition:op_menu/open_menu"}}
tellraw @s {"text":""}
